diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 3eefe3811a..30bca45657 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -1894,10 +1894,9 @@ include_dir 'conf.d'
         setting <xref linkend="guc-autovacuum-work-mem"/>.
        </para>
        <para>
-        Additionally, <command>VACUUM</command> is only able to utilize up to
-        a maximum of <literal>1GB</literal> of memory, so
-        <varname>maintenance_work_mem</varname> values higher than this have
-        no effect on <command>VACUUM</command>.
+        Note that for the collection of dead tuple identifiers,
+        <command>VACUUM</command> is only able to utilize up to a maximum of
+        <literal>1GB</literal> of memory.
        </para>
       </listitem>
      </varlistentry>
@@ -1921,6 +1920,14 @@ include_dir 'conf.d'
         <filename>postgresql.conf</filename> file or on the server command
         line.
        </para>
+       <para>
+        For the collection of dead tuple identifiers,
+        autovacuum is only able to utilize up to a maximum of
+        <literal>1GB</literal> of memory, so setting
+        <varname>autovacuum_work_mem</varname> to a value higher than that has
+        no effect on the number of dead tuples that autovacuum can collect
+        while scanning a table.
+       </para>
       </listitem>
      </varlistentry>
 
